Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.integration.jmx
Class IoSessionManager

    java.lang.Object
      org.apache.mina.integration.jmx.IoSessionManager

All Implemented Interfaces:
  IoSessionManagerMBean

    public class IoSessionManager

extends Object
implements IoSessionManagerMBean

Version:
  $Rev: 555855 $, $Date: 2007-07-13 05:19:00 +0200 (Fri, 13 Jul 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Constructor Summary
`IoSessionManager(IoSession session)` create the session manager

Method Summary
`void` | `addFirstLoggingFilter()` add a logging filter at begining of the chain
`void` | `addLastLoggingFilter()` add a logging filter at end of the chain
`void` | `close()` close the session
`long` | `getBothIdleTime()` read and write IDLE time
`float` | `getByteReadThroughtput()` get the read bytes per second throughput works only if a stat collector is inspecting this session,
`float` | `getByteWrittenThroughtput()` get the written bytes per second throughput works only if a stat collector is inspecting this session,
`Date` | `getCreationTime()` when the session was created
`String[]` | `getInstalledFilters()` get the list of filters installed in the filter chain
`Date` | `getLastIoTime()` last time the session processed an IO
`Date` | `getLastReadTime()` last time the session processed an read
`Date` | `getLastWriteTime()` last time the session processed a write
`float` | `getMessageReadThroughtput()` get the read messages per second throughput works only if a stat collector is inspecting this session, and only if a ProtocolDecoderFilter is used
`float` | `getMessageWrittenThroughtput()` get the written messages per second throughput works only if a stat collector is inspecting this session, and only if a ProtocolDecoderFilter is used
`long` | `getReadBytes()` bytes read from the beginning
`long` | `getReadIdleTime()` read IDLE time
`long` | `getReadMessages()` PDU decoded from the beginning.
`long` | `getWriteIdleTime()` write IDLE time
`long` | `getWrittenBytes()` bytes written from the beginning
`long` | `getWrittenMessages()` PDU encoded from the beginning.
`boolean` | `isConnected()` is the session is connected
`void` | `removeFirstLoggingFilter()` remove the logging filter at begining of the chain
`void` | `removeLastLoggingFilter()` remove the logging filter at end of the chain

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IoSessionManager

    public IoSessionManager(IoSession session)

  create the session manager

  Parameters:
    `session` - the MINA's session to manage

Method Detail

### isConnected

    public boolean isConnected()

  Description copied from interface: `IoSessionManagerMBean`
  is the session is connected

  Specified by:
    `isConnected` in interface `IoSessionManagerMBean`
  Returns:
    connection status

### getReadBytes

    public long getReadBytes()

  Description copied from interface: `IoSessionManagerMBean`
  bytes read from the beginning

  Specified by:
    `getReadBytes` in interface `IoSessionManagerMBean`
  Returns:
    total of bytes read

### getWrittenBytes

    public long getWrittenBytes()

  Description copied from interface: `IoSessionManagerMBean`
  bytes written from the beginning

  Specified by:
    `getWrittenBytes` in interface `IoSessionManagerMBean`
  Returns:
    total of bytes written

### getReadMessages

    public long getReadMessages()

  Description copied from interface: `IoSessionManagerMBean`
  PDU decoded from the beginning. Only revelent if a ProtocolCodecFilter is installed.

  Specified by:
    `getReadMessages` in interface `IoSessionManagerMBean`
  Returns:
    Number of read messages

### getWrittenMessages

    public long getWrittenMessages()

  Description copied from interface: `IoSessionManagerMBean`
  PDU encoded from the beginning. Only revelent if a ProtocolCodecFilter is installed.

  Specified by:
    `getWrittenMessages` in interface `IoSessionManagerMBean`
  Returns:
    Number of written messages

### close

    public void close()
               throws InterruptedException

  Description copied from interface: `IoSessionManagerMBean`
  close the session

  Specified by:
    `close` in interface `IoSessionManagerMBean`
  Throws:
    `InterruptedException`

### getCreationTime

    public Date getCreationTime()

  Description copied from interface: `IoSessionManagerMBean`
  when the session was created

  Specified by:
    `getCreationTime` in interface `IoSessionManagerMBean`
  Returns:
    the date of session creation

### getLastIoTime

    public Date getLastIoTime()

  Description copied from interface: `IoSessionManagerMBean`
  last time the session processed an IO

  Specified by:
    `getLastIoTime` in interface `IoSessionManagerMBean`
  Returns:
    date of last IO

### getLastReadTime

    public Date getLastReadTime()

  Description copied from interface: `IoSessionManagerMBean`
  last time the session processed an read

  Specified by:
    `getLastReadTime` in interface `IoSessionManagerMBean`
  Returns:
    date of last read

### getLastWriteTime

    public Date getLastWriteTime()

  Description copied from interface: `IoSessionManagerMBean`
  last time the session processed a write

  Specified by:
    `getLastWriteTime` in interface `IoSessionManagerMBean`
  Returns:
    date of last write

### getInstalledFilters

    public String[] getInstalledFilters()

  Description copied from interface: `IoSessionManagerMBean`
  get the list of filters installed in the filter chain

  Specified by:
    `getInstalledFilters` in interface `IoSessionManagerMBean`
  Returns:
    array of filter names

### addLastLoggingFilter

    public void addLastLoggingFilter()

  Description copied from interface: `IoSessionManagerMBean`
  add a logging filter at end of the chain

  Specified by:
    `addLastLoggingFilter` in interface `IoSessionManagerMBean`

### removeLastLoggingFilter

    public void removeLastLoggingFilter()

  Description copied from interface: `IoSessionManagerMBean`
  remove the logging filter at end of the chain

  Specified by:
    `removeLastLoggingFilter` in interface `IoSessionManagerMBean`

### addFirstLoggingFilter

    public void addFirstLoggingFilter()

  Description copied from interface: `IoSessionManagerMBean`
  add a logging filter at begining of the chain

  Specified by:
    `addFirstLoggingFilter` in interface `IoSessionManagerMBean`

### removeFirstLoggingFilter

    public void removeFirstLoggingFilter()

  Description copied from interface: `IoSessionManagerMBean`
  remove the logging filter at begining of the chain

  Specified by:
    `removeFirstLoggingFilter` in interface `IoSessionManagerMBean`

### getReadIdleTime

    public long getReadIdleTime()

  Description copied from interface: `IoSessionManagerMBean`
  read IDLE time

  Specified by:
    `getReadIdleTime` in interface `IoSessionManagerMBean`
  Returns:
    read idle time in milli-seconds

### getWriteIdleTime

    public long getWriteIdleTime()

  Description copied from interface: `IoSessionManagerMBean`
  write IDLE time

  Specified by:
    `getWriteIdleTime` in interface `IoSessionManagerMBean`
  Returns:
    write idle time in milli-seconds

### getBothIdleTime

    public long getBothIdleTime()

  Description copied from interface: `IoSessionManagerMBean`
  read and write IDLE time

  Specified by:
    `getBothIdleTime` in interface `IoSessionManagerMBean`
  Returns:
    idle time in milli-seconds

### getByteReadThroughtput

    public float getByteReadThroughtput()

  Description copied from interface: `IoSessionManagerMBean`
  get the read bytes per second throughput works only if a stat collector is inspecting this session,

  Specified by:
    `getByteReadThroughtput` in interface `IoSessionManagerMBean`
  Returns:
    read bytes per seconds

### getByteWrittenThroughtput

    public float getByteWrittenThroughtput()

  Description copied from interface: `IoSessionManagerMBean`
  get the written bytes per second throughput works only if a stat collector is inspecting this session,

  Specified by:
    `getByteWrittenThroughtput` in interface `IoSessionManagerMBean`
  Returns:
    written bytes per seconds

### getMessageReadThroughtput

    public float getMessageReadThroughtput()

  Description copied from interface: `IoSessionManagerMBean`
  get the read messages per second throughput works only if a stat collector is inspecting this session, and only if a ProtocolDecoderFilter is used

  Specified by:
    `getMessageReadThroughtput` in interface `IoSessionManagerMBean`
  Returns:
    read messages per seconds

### getMessageWrittenThroughtput

    public float getMessageWrittenThroughtput()

  Description copied from interface: `IoSessionManagerMBean`
  get the written messages per second throughput works only if a stat collector is inspecting this session, and only if a ProtocolDecoderFilter is used

  Specified by:
    `getMessageWrittenThroughtput` in interface `IoSessionManagerMBean`
  Returns:
    written messages per seconds

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.